Bug 980515 - Remove Conflicts manifest element from cartridge manifests
Remove Conflicts manifest element from cartridge manifests
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 11:01 EDT by Hiro Asari
Modified: 2015-05-14 19:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:26:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hiro Asari 2013-07-02 11:01:50 EDT
Description of problem:
mysql-5.1 and postgresql-8.4 should conflict, but they do not.

Version-Release number of selected component (if applicable):
devenv_3436

How reproducible:
Always

Steps to Reproduce:
1. rhc app create railspg ruby-1.9 postgresql-8.4 --from-code https://github.com/BanzaiMan/openshift-rails-example-postgresql.git
2. rhc cartridge add mysql-5.1 -a railspg

Actual results:
mysql-5.1 cartridge is successfully added.


Expected results:
mysql-5.1 cartridge should not be added.

Additional info:
Comment 1 Hiro Asari 2013-07-02 11:16:57 EDT
Upon further discussion, the restriction may no longer be valid; e.g., mysql and postgresql may coexist.

However, the "Conflicts:" directive doesn't seem to be doing anything.
Comment 2 Jhon Honce 2013-07-02 12:30:34 EDT
Support for multiple database per application is legal and supported.
Comment 3 openshift-github-bot 2013-09-23 17:48:07 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/63a2c44c4e9cf173789c5c4c65d7934aca61b7ce
Bug 980515 - Remove extraneous Conflicts element
Comment 4 Yan Du 2013-09-24 03:20:16 EDT
test on devnev_3816

steps:
1. rhc app create railspg ruby-1.9 postgresql-8.4 --from-code https://github.com/BanzaiMan/openshift-rails-example-postgresql.git
2. rhc cartridge add mysql-5.1 -a railspg
3. ssh in to app and run mysql/psql to connect DB, DB can be connected normally
4. check the manifest.yml file and the "Conflicts" have removed.

move to verified

Note You need to log in before you can comment on or make changes to this bug.